=== modified file 'drizzled/item/sum.cc'
--- drizzled/item/sum.cc	2010-07-30 20:31:19 +0000
+++ drizzled/item/sum.cc	2010-08-12 16:48:46 +0000
@@ -953,6 +953,7 @@
 {
   assert(args[0]->fixed);
 
+  null_value= maybe_null= true;
   table_field_type= args[0]->field_type();
 
   /* Adjust tmp table type according to the chosen aggregation type */

=== added file 'tests/r/bug_lp611379.result'
--- tests/r/bug_lp611379.result	1970-01-01 00:00:00 +0000
+++ tests/r/bug_lp611379.result	2010-08-12 16:48:46 +0000
@@ -0,0 +1,23 @@
+ #
+#test for LP Bug#611379
+#
+create table t1 (a int not null);
+insert into t1 values (1);
+create table t2 (a int not null primary key);
+insert into t2 values (10);
+explain select sum(distinct t1.a) from t1,t2 where t1.a=t2.a;
+id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
+1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	Impossible WHERE noticed after reading const tables
+explain select * from (select sum(distinct t1.a) from t1,t2 where t1.a=t2.a)
+as t;
+id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
+1	PRIMARY	<derived2>	system	NULL	NULL	NULL	NULL	1	
+2	DERIVED	NULL	NULL	NULL	NULL	NULL	NULL	NULL	Impossible WHERE noticed after reading const tables
+select sum(distinct t1.a) from t1,t2 where t1.a=t2.a;
+sum(distinct t1.a)
+NULL
+select * from (select sum(distinct t1.a) from t1,t2 where t1.a=t2.a) as t;
+sum(distinct t1.a)
+NULL
+drop table t1,t2;
+#

=== added file 'tests/t/bug_lp611379.test'
--- tests/t/bug_lp611379.test	1970-01-01 00:00:00 +0000
+++ tests/t/bug_lp611379.test	2010-08-12 16:48:46 +0000
@@ -0,0 +1,14 @@
+--echo #
+--echo #test for LP Bug#611379
+--echo #
+create table t1 (a int not null);
+insert into t1 values (1);
+create table t2 (a int not null primary key);
+insert into t2 values (10);
+explain select sum(distinct t1.a) from t1,t2 where t1.a=t2.a;
+explain select * from (select sum(distinct t1.a) from t1,t2 where t1.a=t2.a)
+as t;
+select sum(distinct t1.a) from t1,t2 where t1.a=t2.a;
+select * from (select sum(distinct t1.a) from t1,t2 where t1.a=t2.a) as t;
+drop table t1,t2;
+

